{% extends 'bootstrap/base.html' %}

{% block title %}
    {% if title %}
    {{ title }} - Microblog
    {% else %}
    Welcome to Microblog
    {% endif %}
{% endblock %}
    
{% block navbar %}
    <nav class="navbar navbar-default">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="{{ url_for('main.index') }}">Microblog</a>
            </div>
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li><a href={{ url_for('main.index') }}>Home</a></li>
                    <li><a href="{{ url_for('main.explore') }}"">Explore</a></li>                
                </ul>
                {% if g.search_form %}
                <form class="navbar-form navbar-left" method='get' action="{{ url_for('main.search') }}">
                    <div class="form-group">
                        {{ g.search_form.q(size=20, class='form-control', placehoder=g.search_form.q.label.text) }}
                    </div>
                </form>
                {% endif %}
                <ul class="nav navbar-nav navbar-right">
                    {% if current_user.is_anonymous %}
                    <li><a href={{ url_for('auth.login') }}>Login</a></li>
                    {% else %}
                    <li><a href="{{ url_for('main.user', username=current_user.username) }}">Profile</a></li>
                    <li><a href={{ url_for('auth.logout') }}>Logout</a></li>
                    {% endif %}
                </ul>
            </div>
        </div>
    </nav>
{% endblock %}    

{% block content %}
    <div class="container">
        {% with messages = get_flashed_messages() %}
        {% if messages %}
            {% for message in messages %}
            <div class="alert alert-info" role="alert">{{message}}</div>
            {% endfor %}
        {% endif %}
        {% endwith %}
        {% block app_content %} {% endblock %}
    </div>
{% endblock %}

{% block scripts %}
    {{ super() }}
    {{ moment.include_moment() }}
{% endblock %}    